Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 603777 - SELinux is preventing /usr/sbin/abrtd "sigkill" access .
SELinux is preventing /usr/sbin/abrtd "sigkill" access .
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: selinux-policy (Show other bugs)
6.0
i386 Linux
medium Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
Milos Malik
setroubleshoot_trace_hash:55f1476bb47...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-14 10:51 EDT by Radek Vokal
Modified: 2012-10-15 11:02 EDT (History)
7 users (show)

See Also:
Fixed In Version: selinux-policy-3.7.19-25.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-10 16:34:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radek Vokal 2010-06-14 10:51:08 EDT
Summary:

SELinux is preventing /usr/sbin/abrtd "sigkill" access .

Detailed Description:

SELinux denied access requested by abrtd. It is not expected that this access is
required by abrtd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:

Source Context                unconfined_u:system_r:abrt_t:s0-s0:c0.c1023
Target Context                unconfined_u:system_r:abrt_t:s0-s0:c0.c1023
Target Objects                None [ process ]
Source                        abrtd
Source Path                   /usr/sbin/abrtd
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           abrt-1.1.5-1.el6
Target RPM Packages           
Policy RPM                    selinux-policy-3.7.19-21.el6
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   catchall
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32-33.el6.i686 #1 SMP Thu Jun 3
                              12:54:59 EDT 2010 i686 i686
Alert Count                   1
First Seen                    Mon 14 Jun 2010 04:43:31 PM CEST
Last Seen                     Mon 14 Jun 2010 04:43:31 PM CEST
Local ID                      13bd1342-c5a6-4bb6-b146-5af74fa003f6
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1276526611.175:50): avc:  denied  { sigkill } for  pid=2907 comm="abrtd" scontext=unconfined_u:system_r:abrt_t:s0-s0:c0.c1023 tcontext=unconfined_u:system_r:abrt_t:s0-s0:c0.c1023 tclass=process

node=(removed) type=SYSCALL msg=audit(1276526611.175:50): arch=40000003 syscall=37 success=no exit=-13 a0=ca0 a1=9 a2=8db434 a3=96fa490 items=0 ppid=1 pid=2907 auid=0 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=2 comm="abrtd" exe="/usr/sbin/abrtd" subj=unconfined_u:system_r:abrt_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  catchall,abrtd,abrt_t,abrt_t,process,sigkill
audit2allow suggests:

#============= abrt_t ==============
allow abrt_t self:process sigkill;
Comment 2 RHEL Product and Program Management 2010-06-14 11:03:03 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 3 Miroslav Grepl 2010-06-16 07:26:52 EDT
Fixed in selinux-policy-3.7.19-25.el6.noarch
Comment 5 releng-rhel@redhat.com 2010-11-10 16:34:41 EST
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.